summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Šime Ramov <s@ramov.com>2010-04-16 22:04:11 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:10 +0200
commitd09ff52f2a799879c552bbdc401dea4b5f99bda3 (patch)
tree20dd7c0ec4683a567479f8c25a15f07e81537df9 /network
parent6df7f7eaa78e02a0a915676285619c91b1d3f786 (diff)
downloadslackbuilds-d09ff52f2a799879c552bbdc401dea4b5f99bda3.tar.gz
slackbuilds-d09ff52f2a799879c552bbdc401dea4b5f99bda3.tar.xz
network/imapfilter: Added (mail filtering utility)
Diffstat (limited to 'network')
-rw-r--r--network/imapfilter/README10
-rw-r--r--network/imapfilter/imapfilter.SlackBuild71
-rw-r--r--network/imapfilter/imapfilter.info10
-rw-r--r--network/imapfilter/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/network/imapfilter/README b/network/imapfilter/README
new file mode 100644
index 0000000000..36cbaedd02
--- /dev/null
+++ b/network/imapfilter/README
@@ -0,0 +1,10 @@
+IMAPFilter (a mail filtering utility)
+
+IMAPFilter connects to remote mail servers using the Internet
+Message Access Protocol (IMAP), sends searching queries to the
+server and processes mailboxes based on the results. It can be used
+to delete, copy, move, flag, etc. messages residing in mailboxes at
+the same or different mail servers. The 4rev1 and 4 versions of the
+IMAP protocol are supported.
+
+This requires Lua available at Slackbuilds.org.
diff --git a/network/imapfilter/imapfilter.SlackBuild b/network/imapfilter/imapfilter.SlackBuild
new file mode 100644
index 0000000000..b486fb0059
--- /dev/null
+++ b/network/imapfilter/imapfilter.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for IMAPFilter
+# Written by Šime Ramov <s@ramov.com>
+
+PRGNAM=imapfilter
+VERSION=${VERSION:-2.2.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure -p /usr
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE NEWS README sample.* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/imapfilter/imapfilter.info b/network/imapfilter/imapfilter.info
new file mode 100644
index 0000000000..131979074c
--- /dev/null
+++ b/network/imapfilter/imapfilter.info
@@ -0,0 +1,10 @@
+PRGNAM="imapfilter"
+VERSION="2.2.2"
+HOMEPAGE="http://imapfilter.hellug.gr/"
+DOWNLOAD="http://imapfilter.hellug.gr/source/imapfilter-2.2.2.tar.gz"
+MD5SUM="d917416499f4dd5a0112f7fb89523a97"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Šime Ramov"
+EMAIL="s@ramov.com"
+APPROVED="dsomero"
diff --git a/network/imapfilter/slack-desc b/network/imapfilter/slack-desc
new file mode 100644
index 0000000000..f0a1ef13c6
--- /dev/null
+++ b/network/imapfilter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+imapfilter: IMAPFilter (a mail filtering utility)
+imapfilter:
+imapfilter: IMAPFilter connects to remote mail servers using the Internet
+imapfilter: Message Access Protocol (IMAP), sends searching queries to the
+imapfilter: server and processes mailboxes based on the results. It can be used
+imapfilter: to delete, copy, move, flag, etc. messages residing in mailboxes at
+imapfilter: the same or different mail servers.
+imapfilter:
+imapfilter: IMAPFilter uses the Lua programming language as a configuration and
+imapfilter: extension language. <http://imapfilter.hellug.gr/>
+imapfilter: